Bug 39967 - teacher/schooladmin can't create workgroups anymore
teacher/schooladmin can't create workgroups anymore
Status: CLOSED FIXED
Product: UCS@school
Classification: Unclassified
Component: LDAP
UCS@school 4.1
Other Linux
: P5 normal (vote)
: UCS@school 4.1
Assigned To: Florian Best
Sönke Schwardt-Krummrich
http://jenkins.knut.univention.de:808...
:
Depends on:
Blocks: 39984
  Show dependency treegraph
 
Reported: 2015-11-16 11:39 CET by Florian Best
Modified: 2016-01-11 11:15 CET (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
patch (2.49 KB, patch)
2015-11-16 13:09 CET, Florian Best
Details | Diff
script to reproduce (526 bytes, text/x-python)
2015-11-16 13:14 CET, Florian Best
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Florian Best univentionstaff 2015-11-16 11:39:23 CET
The LDAP ACL's for teacher doesn't allow to create a workgroup anymore.
Comment 1 Florian Best univentionstaff 2015-11-16 12:53:44 CET
Traceback (most recent call last):
  File "foo.py", line 10, in <module>
    wg.create(lo)
  File "/usr/lib/pymodules/python2.7/ucsschool/lib/models/base.py", line 365, in create
    success = self.create_without_hooks(lo, validate)
  File "/usr/lib/pymodules/python2.7/ucsschool/lib/models/group.py", line 160, in create_without_hooks
    success = super(SchoolClass, self).create_without_hooks(lo, validate)
  File "/usr/lib/pymodules/python2.7/ucsschool/lib/models/base.py", line 393, in create_without_hooks
    self.do_create(udm_obj, lo)
  File "/usr/lib/pymodules/python2.7/ucsschool/lib/models/base.py", line 410, in do_create
    udm_obj.create()
  File "/usr/lib/pymodules/python2.7/univention/admin/handlers/__init__.py", line 352, in create
    return self._create()
  File "/usr/lib/pymodules/python2.7/univention/admin/handlers/__init__.py", line 711, in _create
    al=self._ldap_addlist()
  File "/usr/lib/pymodules/python2.7/univention/admin/handlers/groups/group.py", line 556, in _ldap_addlist
    self.gidNum = univention.admin.allocators.request(self.lo, self.position, 'gidNumber')
  File "/usr/lib/pymodules/python2.7/univention/admin/allocators.py", line 188, in request
    return acquireRange(lo, position, type, _type2attr[type], [{'first': 1000, 'last': 55000}, {'first': 65536, 'last': 1000000}], scope=_type2scope[type])
  File "/usr/lib/pymodules/python2.7/univention/admin/allocators.py", line 126, in acquireRange
    univention.admin.locking.lock(lo, position, other, str(startID), scope=scope)
  File "/usr/lib/pymodules/python2.7/univention/admin/locking.py", line 71, in lock
    raise e
univention.admin.uexceptions.permissionDenied
Comment 2 Florian Best univentionstaff 2015-11-16 12:58:31 CET
Side effect of Bug #38796
Comment 3 Florian Best univentionstaff 2015-11-16 13:09:46 CET
Created attachment 7300 [details]
patch
Comment 4 Florian Best univentionstaff 2015-11-16 13:14:14 CET
Created attachment 7301 [details]
script to reproduce
Comment 5 Florian Best univentionstaff 2015-11-16 13:31:36 CET
Package: ucs-school-ldap-acls-master
Version: 13.0.1-1.58.201511161329
Branch: ucs_4.1-0
Scope: ucs-school-4.1

Fixed for UCS@school 4.1. Changelog added.
REOPEN for the merge to 4.0.
Comment 6 Sönke Schwardt-Krummrich univentionstaff 2015-11-17 00:50:47 CET
OK: xml changelog
OK: code change
OK: functional test
Comment 7 Florian Best univentionstaff 2016-01-11 11:15:34 CET
UCS@school 4.1 has been released:
http://docs.software-univention.de/release-notes-ucsschool-4.1v1-de.html

If this error occurs again, please use "Clone This Bug".